import 'package:flutter/material.dart';
import 'package:ocg_contact/ocg_contact.dart';
import 'package:ocg_contact/src/models/contact.dart';

class ContactList extends ChangeNotifier {
  bool _isLoading = false;
  List<Contact> _contacts;

  Future<void> refresh() async {
    _isLoading = true;
    notifyListeners();
    ContactRepository contactRepository = ContactNetworkRepository(null);
    var response = await contactRepository.fetchPhoneContacts();
    if (response.isSuccess) _contacts = response.data;
    _isLoading = false;
    notifyListeners();
  }

  bool get isLoading => _isLoading ?? false;

  List<Contact> get contacts => _contacts;
}
